SSL_COMP_ADD_COMPRESSION_METHOD(3)

NAME
SSL_COMP_get_compression_methods - handle SSL/TLS integrated compression methods

SYNOPSIS
libssl libcrypto
#include <openssl/ssl.h>
STACK_OF(SSL_COMP) *
SSL_COMP_get_compression_methods(void);

DESCRIPTION
This function is deprecated and has no effect. It is provided purely for compatibility with legacy application code.

SSL_COMP_get_compression_methods() used to return a stack of available compression methods.

RETURN VALUES
SSL_COMP_get_compression_methods() always returns NULL.

SEE ALSO
ssl(3)

HISTORY
SSL_COMP_get_compression_methods() first appeared in OpenSSL 0.9.8 and has been available since OpenBSD 4.5.